2009-05-14  Marek Habersack  <mhabersack@novell.com>

	* HandlerFactoryConfiguration.cs: if we're matching a default
	handler, disallow caching.

2009-01-08  Gert Driesen  <drieseng@users.sourceforge.net>

	* HandlerFactoryConfiguration.cs: Allow handlers with non-public
	.ctors. Fixes bug #463971 for 1.0 profile.

2008-10-13  Marek Habersack  <mhabersack@novell.com>

	* HandlerFactoryConfiguration.cs: do not store call-specific data
	in a class field.

2008-10-12  Gert Driesen  <drieseng@users.sourceforge.net>

	* HttpRuntimeConfig.cs: Added support for several undocumented options,
	and removed support for options that are not supported or 2.0 only.
	* HttpRuntimeConfigurationHandler.cs: Added support for several
	undocumented options, and removed support for options that are not
	support or 2.0 only.

2008-08-20  Marek Habersack  <mhabersack@novell.com>

	* HttpRuntimeConfig.cs: implemented the undocumented (but
	supported in .NET 1.1) option EnableHeaderChecking to support fix
	for bug #418620

2008-06-30  Marek Habersack  <mhabersack@novell.com>

	* MachineKeyRegistryStorage.cs: hush the warnings

2008-06-18  Juraj Skripsky  <js@hotfeet.ch>

	* HttpRuntimeConfig.cs: Correct name of property "RequireRootedSaveAsPath".
	* HttpRuntimeConfigurationHandler.cs (Create): Read
	"requireRootedSaveAsPath", "idleTimeout", "enable" and
	"enableVersionHeader" from XmlNode.

2008-04-29  Marek Habersack  <mhabersack@novell.com>

	* WebConfigurationSettings.cs: if path mapping fails in
	GetConfigFromFileName, fall back to the application's physical
	directory.

2008-03-23  Dean Brettle <dean@brettle.com>

	* HttpCapabilitiesBase.cs (GetConfigCapabilities): changed to use
	browscap.ini for default capabilities when *.browser files are
	present, so we don't need to maintain browser capabilities in two
	places.

2008-03-09  Dean Brettle <dean@brettle.com> 

	* HttpCapabilitiesBase.cs: changed to use nBrowser for *.browser 
	support.  Also added internal GetConfigCapabilities_called
	flag used by ControlAdapterTest.ConfigCapabilitiesNotCalled() to 
	test that GetConfigCapabilities() is not called during normal page
	processing when there are no files in App_Browsers/.

2008-02-28  Marek Habersack  <mhabersack@novell.com>

	* HandlerFactoryConfiguration.cs: ignore case when matching
	handler paths.

	* FileMatchingInfo.cs: regular expression is created with the
	ignore case option.

2007-12-13  Marek Habersack  <mhabersack@novell.com>

	* FileMatchingInfo.cs. MachineKeyRegistryStorage.cs: speed
	optimization - use String.Concat instead of String.Format in some
	cases.

2007-11-17  Marek Habersack  <mhabersack@novell.com>

	* HandlerFactoryConfiguration.cs: FileMatchingInfo array must be
	created anew on each request (before the result is cached). Fixes
	bug #335669.

2007-11-14  Marek Habersack  <mhabersack@novell.com>

	* FileMatchingInfo.cs: if Request is present, construct MatchExact
	using Request.BaseVirtualDir instead of
	HttpRuntime.AppDomainAppVirtualPath, falling back to the latter if
	the former is not available. Fixes bug #341703

2007-11-02  Marek Habersack  <mhabersack@novell.com>

	* HandlerFactoryConfiguration.cs: clear the HttpApplication HTTP
	handler cache whenever the collection is modified.

	* FileMatchingInfo.cs: MatchExact should be constructed using the
	current application virtual path, not literal "/".

2007-10-24  Marek Habersack  <mhabersack@novell.com>

	* HandlerFactoryConfiguration.cs: exact path matching must be done
	on the original string in PathMatches, not on the sliced one.

	* FileMatchingInfo.cs: refactoring - this code used to live in
	both 1.1 and 2.0 profiles. At the same time, fixe the way
	MatchExact is created - the slash is prepended only if the path
	doesn't begin with it.

2007-10-15  Marek Habersack  <mhabersack@novell.com>

	* ModulesConfiguration.cs: load modules using
	HttpApplication.LoadType to include the bin/ directory in search.

2007-08-30  Marek Habersack  <mhabersack@novell.com>

	* MachineKeyRegistryStorage.cs: added

2007-08-23  Robert Jordan  <robertj@gmx.net>

	* WebConfigurationSettings.cs: Move RemotingConfiguration to
	System.Runtime.Remoting.Channels.Http/HttpRemotingHandlerFactory.cs.
	Fixes #81831.

2007-08-10  Gert Driesen  <drieseng@users.sourceforge.net>

	* PagesConfigurationHandler.cs: Use enum for EnableSessionState.
	* PagesConfiguration.cs: Use enum for EnableSessionState.

2007-08-08  Marek Habersack  <mhabersack@novell.com>

	* WebConfigurationSettings.cs: do not use lock (this), replace it
	with lock (this_object), where this_object is an instance
	variable. Prevents deadlocks in situation when external code locks
	on the class instance.

2007-05-01  Marek Habersack  <mhabersack@novell.com>

	* HttpCapabilitiesBase.cs: move the User-Agent code to a separate
	internal method.

2007-04-10  Marek Habersack  <mhabersack@novell.com>

	* WebConfigurationSettings.cs: add NotifyFilter.Size to the
	watcher notification filter to enable file modification events
	with Linux inotify.

2007-03-22  Adar Wesley <adarw@mainsoft.com>

	* HttpCapabilitiesBase.cs: support for implementation of new 
	capabilities.

2007-03-19  Marek Habersack  <mhabersack@novell.com>

	* WebConfigurationSettings.cs: another fix to the
	GetConfigFromFileName logic - the passed "filepath" must not end
	with a slash when called recursively, or it will lead to endless
	recursion.

2007-03-18  Marek Habersack  <mhabersack@novell.com>

	* WebConfigurationSettings.cs: fix the GetConfigFromFileName
	directory logic.

2007-02-17  Gert Driesen  <drieseng@users.sourceforge.net>

	* PagesConfiguration.cs: Stop swallowing configuration exceptions.
	* PagesConfigurationHandler.cs: Provide better exception message for
	invalid 'enableSessionState' value.

2007-01-20  Miguel de Icaza  <miguel@novell.com>

	* HandlerFactoryConfiguration.cs (LoadType): remove unused
	variable.
	(ctor): do not assign parent, we do not use it, keep the code for
	reference.

2007-01-18  Miguel de Icaza  <miguel@novell.com>

	* HttpCapabilitiesBase.cs: Fix the build, I kept an old code path
	for 1.0

2007-01-18  Konstantin Triger  <kostat@mainsoft.com>

	* HttpCapabilitiesBase.cs: consider Page's ClientTarget for BrowseCaps.

2006-08-15  Eyal Alalouf  <eyala@mainsoft.com>
    * WebConfigurationSettings.cs: Remove i#if TARGET_JVM since Grasshopper
	  supports Remtoing now.

2006-07-06 Andrew Skiba <andrews@mainsoft.com>

	* HttpHandlersSectionHandler.cs: validate attribute can have 'true' and
	'false' case-insensitive in net 2.0

2006-06-28 Andrew Skiba <andrews@mainsoft.com>

	* ModulesConfiguration.cs: keep the inner exception

2006-03-19 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HttpRuntimeConfigurationHandler.cs: removed a bunch of useless stuff
	for 1.x.

2006-02-28  Chris Toshok  <toshok@ximian.com>

	* FormsAuthPasswordFormat.cs: ifdef out the [Serializable] in the
	2.0 case.

2006-02-10 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CompilationConfiguration.cs:
	* CompilationConfigurationHandler.cs: only compile these for
	pre-2.0 assemblies.

2006-02-01  Chris Toshok  <toshok@ximian.com>

	* CompilerCollection.cs: CONFIGURATION_2_0 => NET_2_0.

	* CompilationConfigurationHandler.cs: same.

	* Compiler.cs: same.

	* CompilationConfiguration.cs: same.

2006-01-08  Konstantin Triger <kostat@mainsoft.com>

        * HttpCapabilitiesBase.cs: TARGET_JVM changes to let the compilation
                pass with csc 1.1.

2005-12-22 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: patch by Cyrille Colin that sets the
	right application path even when MapPath fails. Closes bug #77044.

2005-12-02 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: don't fail if <location> has more
	than one element. Fixes bug #76633.

2005-12-02 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HttpHandlersSectionHandler.cs:
	* HandlerFactoryConfiguration.cs: we need to use a copy of the parent
	mappings, otherwise we may remove mappings from the parent. Fix a typo
	when removing the item from the collection. Now LocateHandler searches
	first for this configuration mappings and then for the parent ones.
	Fixes (truly) bug #76842.

2005-11-30 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HandlerFactoryConfiguration.cs: my previous patch broke the
	* order in which handlers are searched. This one fixes that,
	* while not breaking bug 76842 again.

2005-11-30  Chris Toshok  <toshok@ximian.com>

	* WebConfigurationSettings.cs (ReadSectionGroup): some
	CONFIGURATION_2_0 work.

	* CompilationConfigurationHandler.cs (ReadCompilers): change the
	NET_2_0 to CONFIGURATION_2_0.

	* CompilerCollection.cs: more ugly hacks for the
	2.0-without-config-2.0 case.  wrap this in #if !CONFIGURATION_2_0
	and make it public in the NET_2_0 case (so it can be used to keep
	the config 2.0 stuff building).

	* Compiler.cs: same.
	
	* CompilationConfiguration.cs (Init): change the #if NET_2_0 to
	#if CONFIGURATION_2_0.

2005-11-28 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HandlerFactoryConfiguration.cs: copy the parents' mappings
	into the new one to allow for removing without affecting the
	parent configuration mappings. Fixes bug #76842.

2005-11-24  Chris Toshok  <toshok@ximian.com>

	* AssemblyInfo.cs: nuke this, it's in System.Web.Configuration_2.0
	now.

2005-11-19  Chris Toshok  <toshok@ximian.com>

	* CompilationConfigurationHandler.cs (ReadCompilers): call
	CompilerCollection.Add in the 2.0 case, as it doesn't expose a
	setter indexer.

	* CompilationConfiguration.cs: need this to keep things compiling,
	even though CompilationConfiguration doesn't need to be used in
	the 2.0 case.

2005-11-19  Chris Toshok  <toshok@ximian.com>

	* Compiler.cs: wrap in #if !NET_2_0 and remove a lot of stubs that
	now exist in System.Web.Configuration_2.0.

2005-11-18  Chris Toshok  <toshok@ximian.com>

	* CompilerCollection.cs: wrap in #if !NET_2_0, and remove a lot of
	stubs that now exist in System.Web.Configuration_2.0.

2005-10-31  Chris Toshok  <toshok@ximian.com>

	* IRemoteWebConfigurationHostServer.cs: fix interface.

2005-10-29  Atsushi Enomoto  <atsushi@ximian.com>

	* GlobalizationConfigurationHandler.cs : we don't use ICU.

2005-10-24 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HandlerFactoryConfiguration.cs: when using regex matching, pass the
	original full virtual path, not just the file name. The regex matches
	the end of the path. Fixes bug #76536.

2005-10-08 Gert Driesen <drieseng@users.sourceforge.net>

	* WebConfigurationHost.cs: Added stubs for missing implementation
	of IInternalConfigHost to fix build for 2.0 profile.

2005-10-05 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ClientTargetSectionHandler.cs: New file.

2005-09-23  Chris Toshok  <toshok@ximian.com>

	* ExpressionBuilderCollection.cs: track change to
	System.Configuration.ConfigurationPropertyOptions.

2005-09-23 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* PagesConfiguration.cs: on error return a default instance instead
	of null.

2005-09-22  Chris Toshok  <toshok@ximian.com>

	* PositiveTimeSpanValidator.cs: move this from
	System.Configuration to here.

2005-09-15  Sebastien Pouliot  <sebastien@ximian.com>

	* CompilationConfiguration.cs: Return an empty configuration object if
	no HttpContext is available. This is required for the unit tests and
	match the results of MS 1.1 and 2.0 (beta2).

2005-08-24  Sebastien Pouliot  <sebastien@ximian.com>

	* AdapterDictionary.cs: Added missing IDeserializationCallback.
	* AuthorizationRuleAction.cs: Fixed enum values.
	* BuildProvider.cs: Class is sealed. Removed empty constructor.
	* BuildProviderCollection.cs: Adapted to BuildProvider ctor changes.
	* CodeSubDirectory.cs: Added missing constructor.
	* CodeSubDirectoriesCollection.cs: Adapted to 
	CodeSubDirectoriesCollection ctor changes.
	* CustomErrorsMode.cs: Fixed enum values.
	* FormsAuthenticationConfiguration.cs: Class is sealed.
	* HttpCapabilitiesBase.cs: Added security permissions with Minimal 
	level for AspNetHostingPermission (both Link and Inheritance demands).
	* ProcessModelComAuthenticationLevel.cs: Fixed enum values.
	* ProcessModelComImpersonationLevel.cs: Fixed enum values.
	* ProcessModelLogLevel.cs: Fixed enum values.
	* WebApplicationLevel.cs: New enum for 2.0.

2005-08-31 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ModulesConfiguration.cs: LoadModules creates a HttpModuleCollection,
	initializes the module instances and fills in the collection.

2005-08-30 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ModulesConfiguration.cs: add Clone (ugly).

2005-08-30  Miguel de Icaza  <miguel@novell.com>

	* HttpCapabilitiesBase.cs: Make partial to pull the implementation
	from another class.

2005-08-29 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HandlerFactoryConfiguration.cs: fix path matching so that
	/xxx/WebResource.axd works. If we're going to match using a regexp,
	generate it in the constructor, not on every request.

2005-08-25  Chris Toshok  <toshok@ximian.com>

	* HandlerFactoryConfiguration.cs: implement the slow path for
	PathMatches using Regex.  Also, make the fast path for exact
	matches faster (and more correct).

2005-08-25  Chris Toshok  <toshok@ximian.com>

	* HandlerFactoryConfiguration.cs: chain up to the parent
	Configuration if we don't have a match, instead of adding the
	parent's handlers to our list (and thereby overriding ours).

2005-08-24  Sebastien Pouliot  <sebastien@ximian.com>

	* AuthConfig.cs: Add new 2.0 stuff (required for Forms Authentication).

2005-08-23 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* MachineKeyConfig.cs: we don't honor IsolateApp.

2005-07-28 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* MachineKeyConfigHandler.cs:
	* MachineKeyConfig.cs: removed unused property. The CryptoGod has spoken
	and told me to use RandomNumberGenerator.Create to let the
	implementation choose the generator.

2005-07-25  Eyal Alalouf  <eyala@mainsoft.com>

	* WebConfigurationSettings.cs: Fixed LoadFromFile to find web.config
	under TARGET_J2EE (case sensitivity).

2005-07-25  Eyal Alalouf  <eyala@mainsoft.com>

	* WebConfigurationSettings.cs: TARGET_J2EE ifdef reorder for
	readability.

2005-07-25 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* MachineKeyConfigHandler.cs: removed unused code. Use
	MachineKeyValidation.
	* MachineKeyValidation.cs: made internal for 1.1 and added AES.
	* MachineKeyConfig.cs: new property to return 24 bits needed for 3DES.
	fix typo from last patch ('AutoGenerate'). Made the keys different when
	both are autogenerated.

2005-07-24 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* MachineKeyConfigHandler.cs:
	* MachineKeyConfig.cs: patch from Miguel that moves code from
	MachineKeyConfigHandler to MachineKeyConfig.

2005-07-24  Eyal Alalouf  <eyala@mainsoft.com>

	* WebConfigurationSettings.cs: TARGET_J2EE changes. static variables in
	  AppDomain.

2005-07-19  Eyal Alalouf  <eyala@mainsoft.com>
	* WebConfigurationSettings.cs: Grasshopper doesn't support remoting and the FileSystemWatcher

2005-07-01  Lluis Sanchez Gual <lluis@novell.com>

	* MembershipSection.cs: Implemented.
	* SiteMapSection.cs: Define properties using attributes.
	* AnonymousIdentificationSection.cs: Define properties using attributes.
	* WebConfigurationManager.cs: return the correct base path for the
	  root path.
	* IRemoteWebConfigurationHostServer.cs: Fixed method signatures.
	* WebConfigurationHost.cs: Added the machine web.config to the web.config
	file chain. Several fixes in the chain order. Implemented 
	IsDefinitionAllowed and VerifyDefinitionAllowed.

	* VirtualDirectoryMappingCollection.cs:
	* WebConfigurationFileMap.cs:
	* AdapterDictionary.cs:
	* AuthenticationSection.cs:
	* AssemblyCollection.cs:
	* AssemblyInfo.cs: Minor api fixes.
	
2005-06-25 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HandlerItem.cs: the path matches 'path\z', as the previous '\Apath\z'
	failed for 'dir/*.ext'.

2005-06-23  Lluis Sanchez Gual <lluis@novell.com>

	* VirtualDirectoryMapping.cs: Implemented.
	* WebConfigurationManager.cs: Initial implementation.
	* VirtualDirectoryMappingCollection.cs: Implemented.
	* WebConfigurationFileMap.cs: Implemented.
	* WebConfigurationHost.cs: Initial implementation of class
	that supports IInternalConfigHost.

2005-06-19 Ilya Kharmatsky <ilyak-at-mainsoft.com>

	* HttpRuntimeConfig.cs: Added TARGET_JVM directive in "using clause"
	in order to exclude in J2EE configuration usage of unsupported
	CodeDome API.

2005-06-15  Lluis Sanchez Gual <lluis@novell.com>

	* CodeSubDirectory.cs:
	* ExpressionBuilder.cs:
	* AssemblyInfo.cs:
	* BuildProviderCollection.cs:
	* ExpressionBuilderCollection.cs:
	* CodeSubDirectoriesCollection.cs:
	* AnonymousIdentificationSection.cs: Track 2.0 api changes
	in System.Configuration.

2005-06-13 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* GlobalizationConfigurationHandler.cs: when an attribute is not
	provided, don't assing Encoding.Default to it, as we might override
	parent's settings.

2005-05-04 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CompilationConfiguration.cs: throw if we cannot load the type given
	in the configuration file.

2005-04-25 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CompilerCollection.cs: added CompareLanguages method.

2005-04-22 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CompilationConfigurationHandler.cs: ensure TempDirectory is not empty
	before assigning it. Don't mangle the assembly names provided.

	* CompilationConfiguration.cs: use DynamicBase as the temp directory
	instead of Path.GetTempPath.

2005-04-20 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ModuleItem.cs:
	* GlobalizationConfigurationHandler.cs:
	* WebConfigurationSettings.cs:
	* CustomErrorsConfigHandler.cs:
	* PagesConfigurationHandler.cs:
	* WebControlsSectionHandler.cs:
	* AuthorizationConfigHandler.cs: removed warnings.

2005-03-16 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CompilerCollection.cs:
	* CompilationConfigurationHandler.cs:
	* Compiler.cs:
	* CompilationSection.cs:
	* CompilationConfiguration.cs: reverted last patch and/or disable code
	until the whole config system is migrated to 2.0. Fixes bug #73736.

2005-03-14 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CodeSubDirectoriesCollection.cs:
	* ExpressionBuilderCollection.cs:
	* BuildProviderCollection.cs:
	* CompilerCollection.cs:
	* CompilationConfigurationHandler.cs:
	* ExpressionBuilder.cs:
	* Compiler.cs:
	* CompilationSection.cs:
	* CompilationConfiguration.cs:
	* CodeSubDirectory.cs: added and implemented
	most of these files that are used when reading configuration files in
	NET_2_0.

	* WebCompiler.cs: renamed to Compiler.cs

2004-12-15 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: correctly detect web.config changes.

2004-11-28 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HandlerItem.cs: for reusable items, return the same instance always.
	Fixes bug #69959.


2004-11-24 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* GlobalizationConfigurationHandler.cs: fixed stupid typo (uiculture ->
	uiCulture). Closes bug #69524.

2004-11-18  Lluis Sanchez Gual <lluis@novell.com>

	* AnonymousIdentificationSection.cs, AuthenticationSection.cs,
	AssemblyInfo.cs: Initialize	property collection.
	* SiteMapSection.cs, SiteMapHierarchicalDataSourceView.cs, 
	SiteMapDataSource.cs: New file.
	* SiteMapDataSourceView.cs: Minor fixes.

2004-11-15  Lluis Sanchez Gual <lluis@novell.com>

	* AnonymousIdentificationSection.cs, InternalSection.cs,
	AuthenticationSection.cs, AssemblyCollection.cs, AssemblyInfo.cs,
	AdapterDictionary.cs: Implemented.
	* PassportAuthentication.cs, FormsAuthenticationConfiguration.cs:
	created classes.

2004-10-10 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: use CurrentExecutionFilePath instead of
	FilePath. Fixes bug #67982.

2004-08-22 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: fix bug when processing empty location
	tags. Closes bug #63001.

2004-08-02  Duncan Mak  <duncan@ximian.com>

	* AuthorizationRuleAction.cs:
	* BuildProviderAppliesTo.cs:
	* CustomErrorsMode.cs:
	* MachineKeyValidation.cs:
	* PagesEnableSessionState.cs:
	* PagesToCountAction.cs:
	* ProcessModelComAuthenticationLevel.cs:	
	* ProcessModelComImpersonationLevel.cs:
	* ProcessModelLogLevel.cs;
	* SerializationMode.cs:
	* TraceDisplayMode.cs: Added enumerations.

	* IRemoteWebConfigarationHostServer.cs: Added interface.

2004-06-23 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* AuthorizationConfig.cs: really fix bug #60482. Thanks David!

2004-06-22 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* AuthorizationConfig.cs: we must match [verb +] (role|user). Fixes bug
	#60482.

2004-06-15 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: allow empty <configSections>.

2004-06-09  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* GlobalizationConfigurationHandler.cs: if no culture given, use the
	default one, not the invariant.

2004-06-07  Alon Gazit <along@mainsoft.com>

	* HandlerFactoryConfiguration.cs: using cache to get performance
	improvement.
	

2004-06-07  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HttpCapabilitiesBase.cs: set the useragent of the new
	HttpBrowserCapabilities object.

2004-06-04  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HttpCapabilitiesBase.cs: ClientTarget takes precedence over UserAgent.

2004-06-02  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: when the virtual path is not /, don't
	loop forever trying to read configuration from /. Fixes bug #59480.

2004-05-25  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* GlobalizationConfiguration.cs: if we have no context, use
	GetAppConfig instead of GetConfig.

2004-05-14  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CompilationConfiguration.cs: a null value is ok for TempDirectory.

2004-05-12  Jaroslaw Kowalski <jaak@zd.com.pl>

	* AuthenticationConfigHandler.cs: fixed slidingExpiration and requireSSL

2004-05-06  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: fixed loading of external files. Closes
	bug #57244.

2004-05-04  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: now it defaults to 'web.config' and if
	not found, 'Web.config'. Don't throw exception if both exists. Thanks
	to urs and dru for bugging me about this.

2004-04-22  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: fixed argument exception if the directory
	we're trying to watch does not exists.

2004-04-21  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: modify realpath when we reach the
	virtual root of the application.

2004-04-12  Nick Drochak <ndrochak@gol.com>

	* WebConfigurationSettings.cs: Fix build.  Forgot the '?'

2004-04-12  Atsushi Enomoto <atsushi@ximian.com>

	* WebConfigurationSettings.cs : On Windows "Web.config" is "web.config".

2004-04-04  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: "/" is the virtual root directory of
	the application. This fixes a bug reported by Vlad that caused
	configuration error because files were read twice when there's an
	application different from "/" defined.

2004-03-31  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: fixes bug 56267.

2004-03-30  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: use FileSystemWatcher and really reload
	configuration when the file is created or modified.

2004-02-24  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: we were loading web.config from / always!
	Thanks to Lluis for noticing this.

2004-02-09  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: fix Web.config search for case
	insensitive filesystems.

2004-02-04  Lluis Sanchez Gual <lluis@ximian.com>

	* WebConfigurationSettings.cs: Load remoting configuration when reading
	  the web.config file.

2004-01-23  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* AuthConfig.cs:
	* AuthenticationConfigHandler.cs: added RequireSSL and
	SlidingExpiration.

	* HandlerFactoryProxy.cs: not public.
	* HandlerItem.cs: not public.

2004-01-20  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: fix location path lookup. Closes bug
	#53072.

2004-01-12  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.Web.Configuration/GlobalizationConfiguration.cs: undo old fix.

	* System.Web.Configuration/PagesConfiguration.cs:
	* System.Web.Configuration/PagesConfigurationHandler.cs: new files for
	processing system.web/pages section.

2004-01-10  Jackson Harper <jackson@ximian.com>

	* TraceConfig.cs: New class contains trace configuration data.
	* TraceConfigurationHandler.cs: New class parses trace
	configurations.
	
2004-01-05  Jackson Harper <jackson@ximian.com>

	* HandlerItem.cs: Fix typo so slashes are stripped from paths properly.
	
2003-12-17  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CustomErrorsConfigHandler.cs: handle <system.web><customErrors />..

2003-12-16  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HttpCapabilitiesBase.cs: use the new loader.

2003-12-12  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebConfigurationSettings.cs: also cache parents when building the
	hierarchy up. Fixes bug #51818.

2003-12-09  Jackson Harper <jackson@ximian.com>

	* GlobalizationConfigurationHander.cs: Make unicode encodings case
	insensitive.
	
2003-12-08  Jackson Harper <jackson@ximian.com>

	* GlobalizationConfigurationHandler.cs: Handle creating some the unicode
	encodings here so we can create ones without BOMs.
	
2003-12-02  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* GlobalizationConfiguration.cs: return null when the configuration is
	not available.
	
	* WebConfigurationSettings.cs: handle configuration for System.Web. It
	replaces the default IConfigurationSystem with itself and handles
	web.config files oddities.

2003-11-21  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CompilationConfiguration.cs: don't throw an HttpException.
	* HttpRuntimeConfig.cs:
	* HttpRuntimeConfigurationHandler.cs: handle system.web/httpRuntime
	configuration section.

2003-11-10 Jackson Harper <jackson@ximian.com>

	* CompilationConfigurationHandler.cs: Append .dll to shortened
	assembly names. 
	
2003-11-08 Jackson Harper <jackson@ximian.com>

	* CompilationConfigurationHandler.cs: Trim extra versioning
	information off of assembly names. This is a workaround that fixes
	bug #50355.
	
2003-11-05  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* GlobalizationConfiguration.cs: added GetInstance method.

	* GlobalizationConfigurationHandler.cs: warn about unsupported encodings
	and provide reasonable defaults.

2003-10-17 Ben Maurer  <bmaurer@users.sourceforge.net>

	* CompilationConfiguration.cs (Init): you have to inherit copying
	files from the bin folders too.

2003-10-15  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CompilationConfiguration.cs: use the context passed in. If not, try
	the current context.

2003-10-14  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CompilationConfiguration.cs:
	* CompilationConfigurationHandler.cs:
	* CompilerCollection.cs:
	* WebCompiler.cs: new files that process and store
	system.web/compilation info (compilers + assemblies).

	* HttpHandlersSectionHandler.cs: added option for an attribute to be
	empty.

2003-10-10  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebControlsSectionHandler.cs: new file to handle <webControls>
	configuration.

2003-10-01  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HandlerItem.cs: make it work for file names without wildcards.

2003-03-03  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ModuleItem.cs: it's not public.
	* ModulesConfiguration.cs: it's not public.

2003-02-27  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* AuthenticationConfigHandler.cs: 'name' is optional in <forms>.

2003-02-17  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HandlerFactoryConfiguration.cs: first search in the mappings of this
	instance, then in the parent.

2003-02-13  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* GlobalizationConfiguration.cs: added internal fields to hold the
	values in the globalization node.

	* GlobalizationConfigurationHandler.cs: handler to load
	<system.web/globalization> section.

2003-02-12  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* AuthorizationConfigHandler.cs: handler for system.web/authorization
	section.

	* AuthorizationConfig.cs: keeps record of authorization configuration.

2003-01-04  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HttpModulesConfigurationHandler.cs: add a default authentication
	module at the end of the list.

	* ModuleItem.cs: new constructor.

2002-12-19  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* AuthConfig.cs: LoginUrl defaults to login.aspx.

2002-12-17  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* AuthConfig.cs:
	* AuthenticationConfigHandler.cs: handler and helper class for
	system.web/authentication configuration section.

	* HttpHandlersSectionHandler.cs: check for null in attributes.

	* MachineKeyConfig.cs:
	* MachineKeyConfigHandler.cs: handler and helper class for
	system.web/machineKey tag.

2002-10-27  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HttpHandlersSectionHandler.cs: more null checks.

2002-10-08  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HttpHandlersSectionHandler.cs: made a couple of static methods be
	part of a class used in other handlers.
	* HttpModulesConfigurationHandler.cs: handler for modules.
	* ModuleItem.cs: added IsMatch method.
	* ModulesConfiguration.cs: made it similar to the handlers class: added 	Clear, Remove.

2002-10-08  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* HttpHandlerTypeMapper.cs: removed.
	* HandlerFactoryConfiguration.cs: readded. I removed it by mistake.
	* HandlerItem.cs: only load the type if we gotta validate it.
	Implemented initial IsMatch.
	* HttpConfigurationContext.cs: New file.
	* HttpHandlersSectionHandler.cs: validate is optional (default true). 
	Use HttpHandlerTypeMapper.

2002-10-06  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.Web.Configuration/HandlerFactoryConfiguration.cs: removed.

	* System.Web.Configuration/HandlerItem.cs: added validation field.

	* System.Web.Configuration/HttpHandlerTypeMapper.cs: holds mappings
	between verbs and wilcards and their associated HandlerItem.

	* System.Web.Configuration/HttpHandlersSectionHandler.cs: this one
	processes system.web/httpHandlers section of machine.config file.

2002-08-26  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* AuthenticationMode.cs:
	* ClientTargetSectionHandler.cs:
	* FormsAuthPasswordFormat.cs:
	* FormsProtectionEnum.cs:
	* HttpCapabilitiesBase.cs: fixes base on class status page.

2002-08-05  Patrik Torstensson <ptorsten@hotmail.com>

	* HandlerFactoryConfiguration.cs,
	   HandlerFactoryProxy.cs,
	   HandlerItem.cs	: New files to emulate HttpHandler configuration
	   
	* ModuleItem.cs,
	   ModulesConfiguration.cs : New files to emulate HttpModule configuration	

2002-06-03  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.Web.Configuration/HttpCapabilitiesBase.cs: New file.

